> For the complete documentation index, see [llms.txt](https://docs.caf.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.caf.io/caf-sdk/react-native/standalone-modules/face-authenticator/installation.md).

# Installation

{% hint style="warning" %}
If you are using Expo for your project, keep in mind that you need to use a development build to use native modules like `@caf.io/react-native-face-authenticator`. This is because the managed Expo workflow doesn't include support for custom native libraries outside of the standard Expo SDK. For more information on how to create a development build with Expo, check out the official [Expo documentation](https://docs.expo.dev/develop/development-builds/create-a-build/).
{% endhint %}

```sh
yarn add @caf.io/react-native-face-authenticator
# or 
npm install @caf.io/react-native-face-authenticator
```

### Android

If you're utilizing Expo for your project, be sure to include these lines to your `android/build.gradle`.

```gradle
allprojects { 
    repositories { 
        ... 
        maven { url 'https://repo.combateafraude.com/android/release' }
        maven { url 'https://raw.githubusercontent.com/iProov/android/master/maven/' }
        maven { url 'https://raw.githubusercontent.com/iProov/android/patch912/maven/' }
        maven { url 'https://maven.fpregistry.io/releases' }
        maven { url 'https://jitpack.io' }
    } 
}
```

#### Java 8 Compatibility

If Java 8 is not enabled, add support to your `android/app/build.gradle`:

```kotlin
android {
    ...
    compileOptions {
        sourceCompatibility JavaVersion.VERSION_1_8
        targetCompatibility JavaVersion.VERSION_1_8
    }
}
```

### iOS

Open your terminal and change to the ios project directory:

```sh
cd ios
```

In ios project directory, install the SDK along with its dependencies by running the following command:

```sh
pod install
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.caf.io/caf-sdk/react-native/standalone-modules/face-authenticator/installation.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
